Bug 60204

Summary: Create eas_sync_handler_get_folder_list
Product: SyncEvolution Reporter: Graham Cobb <g+syncevolution>
Component: ActiveSyncAssignee: Patrick Ohly <patrick.ohly>
Status: RESOLVED FIXED QA Contact:
Severity: normal    
Priority: medium CC: dwmw2, syncevolution-issues
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments: Patch to libeasclient to add eas_sync_handler_get_folder_list
Same patch, in git format-patch format

Description Graham Cobb 2013-02-02 21:59:14 UTC
Created attachment 74106 [details] [review]
Patch to libeasclient to add eas_sync_handler_get_folder_list

As discussed on the mailing list, I have created eas_sync_handler_get_folder_list as complementary to eas_mail_handler_get_folder_list so that sync clients can retrieve the server's folder list.  This involved moving the main logic into eas-folder.c so it can be shared between the two public functions.

Patch to libeasclient is attached.
Comment 1 Patrick Ohly 2013-02-04 10:45:23 UTC
David, any comments about the questions that Graham raised on the SyncEvolution mailing list about which libraries activesyncd exports and about this particular patch here?
Comment 2 Graham Cobb 2013-02-04 23:12:46 UTC
Created attachment 74204 [details] [review]
Same patch, in git format-patch format

Same patch with commit message and git format-patch output in case it is more convenient.
Comment 3 Patrick Ohly 2013-02-12 14:01:58 UTC
I've included the patch in a test branch and will run it through the automated testing once before merging into master.
Comment 4 Patrick Ohly 2013-02-26 14:03:39 UTC
I've merged this into activesyncd master.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.